<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>lapla &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>lapla
   <small>Interface</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 0.0% of total for procedures.</p>Including implementation: 175 statements,  0.9% of total for procedures.">5 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/operators.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/operators.f03.html'>operators.f03</a></li>
    
     <li><a href='../module/operators.html'>operators</a></li>
    
  
     <li class="active">lapla</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
      
<div id="sidebar">
  
<h3>Contents</h3>
 




















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#modprocs-0">Module Procedures</a></h3></div>
  <div id="modprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../interface/lapla.html#moduleprocedure-laplafield">laplaField</a>
      
      <a class="list-group-item" href="../interface/lapla.html#moduleprocedure-laplacoefffield">laplaCoeffField</a>
      
      <a class="list-group-item" href="../interface/lapla.html#moduleprocedure-laplaconstfield">laplaConstField</a>
      
    </div>
  </div>
</div>




</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>public interface lapla</h2>
   
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: interface~~lapla~~CallsGraph Pages: 1 -->
<svg id="interfacelaplaCallsGraph" width="641pt" height="198pt"
 viewBox="0.00 0.00 641.00 198.45" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="interface~~lapla~~CallsGraph" class="graph" transform="scale(.9923 .9923) rotate(0) translate(4 196)">
<title>interface~~lapla~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-196 642,-196 642,4 -4,4"/>
<!-- interface~lapla -->
<g id="interface~~lapla~~CallsGraph_node1" class="node">
<title>interface~lapla</title>
<polygon fill="none" stroke="#000000" points="54,-150 0,-150 0,-126 54,-126 54,-150"/>
<text text-anchor="middle" x="27" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">lapla</text>
</g>
<!-- proc~laplaconstfield -->
<g id="interface~~lapla~~CallsGraph_node2" class="node">
<title>proc~laplaconstfield</title>
<g id="a_interface~~lapla~~CallsGraph_node2"><a xlink:href=".././proc/laplaconstfield.html" xlink:title="laplaConstField">
<polygon fill="#d94e8f" stroke="#d94e8f" points="175,-150 90,-150 90,-126 175,-126 175,-150"/>
<text text-anchor="middle" x="132.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">laplaConstField</text>
</a>
</g>
</g>
<!-- interface~lapla&#45;&gt;proc~laplaconstfield -->
<g id="interface~~lapla~~CallsGraph_edge2" class="edge">
<title>interface~lapla&#45;&gt;proc~laplaconstfield</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.1689,-138C61.9798,-138 70.7781,-138 79.5826,-138"/>
<polygon fill="#000000" stroke="#000000" points="79.8624,-141.5001 89.8623,-138 79.8623,-134.5001 79.8624,-141.5001"/>
</g>
<!-- proc~laplacoefffield -->
<g id="interface~~lapla~~CallsGraph_node3" class="node">
<title>proc~laplacoefffield</title>
<g id="a_interface~~lapla~~CallsGraph_node3"><a xlink:href=".././proc/laplacoefffield.html" xlink:title="laplaCoeffField">
<polygon fill="#d94e8f" stroke="#d94e8f" points="174,-108 91,-108 91,-84 174,-84 174,-108"/>
<text text-anchor="middle" x="132.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">laplaCoeffField</text>
</a>
</g>
</g>
<!-- interface~lapla&#45;&gt;proc~laplacoefffield -->
<g id="interface~~lapla~~CallsGraph_edge1" class="edge">
<title>interface~lapla&#45;&gt;proc~laplacoefffield</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.1689,-127.184C65.8452,-122.5356 79.7279,-117.0088 92.5395,-111.9085"/>
<polygon fill="#000000" stroke="#000000" points="94.0773,-115.0635 102.0735,-108.1129 91.4881,-108.5599 94.0773,-115.0635"/>
</g>
<!-- proc~laplafield -->
<g id="interface~~lapla~~CallsGraph_node4" class="node">
<title>proc~laplafield</title>
<g id="a_interface~~lapla~~CallsGraph_node4"><a xlink:href=".././proc/laplafield.html" xlink:title="laplaField">
<polygon fill="#d94e8f" stroke="#d94e8f" points="161.5,-192 103.5,-192 103.5,-168 161.5,-168 161.5,-192"/>
<text text-anchor="middle" x="132.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">laplaField</text>
</a>
</g>
</g>
<!-- interface~lapla&#45;&gt;proc~laplafield -->
<g id="interface~~lapla~~CallsGraph_edge3" class="edge">
<title>interface~lapla&#45;&gt;proc~laplafield</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.1689,-148.816C66.2544,-153.6273 80.7037,-159.3797 93.8825,-164.6262"/>
<polygon fill="#000000" stroke="#000000" points="92.6167,-167.8894 103.2021,-168.3364 95.2059,-161.3858 92.6167,-167.8894"/>
</g>
<!-- computegradient -->
<g id="interface~~lapla~~CallsGraph_node5" class="node">
<title>computegradient</title>
<polygon fill="#777777" stroke="#777777" points="330.5,-150 237.5,-150 237.5,-126 330.5,-126 330.5,-150"/>
<text text-anchor="middle" x="284" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">computegradient</text>
</g>
<!-- proc~laplaconstfield&#45;&gt;computegradient -->
<g id="interface~~lapla~~CallsGraph_edge4" class="edge">
<title>proc~laplaconstfield&#45;&gt;computegradient</title>
<path fill="none" stroke="#000000" d="M175.1044,-138C191.346,-138 210.1201,-138 227.457,-138"/>
<polygon fill="#000000" stroke="#000000" points="227.4687,-141.5001 237.4686,-138 227.4686,-134.5001 227.4687,-141.5001"/>
</g>
<!-- interpolategradientcorrected -->
<g id="interface~~lapla~~CallsGraph_node7" class="node">
<title>interpolategradientcorrected</title>
<polygon fill="#777777" stroke="#777777" points="357,-192 211,-192 211,-168 357,-168 357,-192"/>
<text text-anchor="middle" x="284" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolategradientcorrected</text>
</g>
<!-- proc~laplaconstfield&#45;&gt;interpolategradientcorrected -->
<g id="interface~~lapla~~CallsGraph_edge5" class="edge">
<title>proc~laplaconstfield&#45;&gt;interpolategradientcorrected</title>
<path fill="none" stroke="#000000" d="M175.1044,-149.8111C192.464,-154.6237 212.7165,-160.2383 231.0152,-165.3111"/>
<polygon fill="#000000" stroke="#000000" points="230.0922,-168.6872 240.6638,-167.986 231.9623,-161.9416 230.0922,-168.6872"/>
</g>
<!-- proc~laplacoefffield&#45;&gt;computegradient -->
<g id="interface~~lapla~~CallsGraph_edge6" class="edge">
<title>proc~laplacoefffield&#45;&gt;computegradient</title>
<path fill="none" stroke="#000000" d="M174.2991,-107.5879C191.7458,-112.4246 212.2221,-118.1012 230.7297,-123.232"/>
<polygon fill="#000000" stroke="#000000" points="229.9171,-126.6387 240.4887,-125.9375 231.7872,-119.8931 229.9171,-126.6387"/>
</g>
<!-- proc~interpolate -->
<g id="interface~~lapla~~CallsGraph_node6" class="node">
<title>proc~interpolate</title>
<g id="a_interface~~lapla~~CallsGraph_node6"><a xlink:href=".././proc/interpolate.html" xlink:title="interpolate">
<polygon fill="#d9534f" stroke="#d9534f" points="315.5,-108 252.5,-108 252.5,-84 315.5,-84 315.5,-108"/>
<text text-anchor="middle" x="284" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolate</text>
</a>
</g>
</g>
<!-- proc~laplacoefffield&#45;&gt;proc~interpolate -->
<g id="interface~~lapla~~CallsGraph_edge7" class="edge">
<title>proc~laplacoefffield&#45;&gt;proc~interpolate</title>
<path fill="none" stroke="#000000" d="M174.2991,-96C195.5246,-96 221.2341,-96 242.4275,-96"/>
<polygon fill="#000000" stroke="#000000" points="242.4294,-99.5001 252.4294,-96 242.4293,-92.5001 242.4294,-99.5001"/>
</g>
<!-- proc~laplacoefffield&#45;&gt;interpolategradientcorrected -->
<g id="interface~~lapla~~CallsGraph_edge8" class="edge">
<title>proc~laplacoefffield&#45;&gt;interpolategradientcorrected</title>
<path fill="none" stroke="#000000" d="M160.8938,-108.0249C165.8082,-110.6572 170.7107,-113.6673 175,-117 194.414,-132.0844 190.3166,-145.7093 211,-159 213.6332,-160.692 216.4056,-162.2508 219.2688,-163.6866"/>
<polygon fill="#000000" stroke="#000000" points="218.1034,-166.9988 228.6627,-167.8655 220.9486,-160.6031 218.1034,-166.9988"/>
</g>
<!-- proc~laplafield&#45;&gt;computegradient -->
<g id="interface~~lapla~~CallsGraph_edge9" class="edge">
<title>proc~laplafield&#45;&gt;computegradient</title>
<path fill="none" stroke="#000000" d="M161.7107,-171.902C181.2722,-166.479 207.5941,-159.1818 230.8065,-152.7467"/>
<polygon fill="#000000" stroke="#000000" points="231.834,-156.094 240.5355,-150.0496 229.9638,-149.3484 231.834,-156.094"/>
</g>
<!-- proc~laplafield&#45;&gt;interpolategradientcorrected -->
<g id="interface~~lapla~~CallsGraph_edge10" class="edge">
<title>proc~laplafield&#45;&gt;interpolategradientcorrected</title>
<path fill="none" stroke="#000000" d="M161.7107,-180C173.058,-180 186.6801,-180 200.6505,-180"/>
<polygon fill="#000000" stroke="#000000" points="200.8572,-183.5001 210.8571,-180 200.8571,-176.5001 200.8572,-183.5001"/>
</g>
<!-- harmonicinterpolation -->
<g id="interface~~lapla~~CallsGraph_node8" class="node">
<title>harmonicinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="526,-192 411,-192 411,-168 526,-168 526,-192"/>
<text text-anchor="middle" x="468.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">harmonicinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;harmonicinterpolation -->
<g id="interface~~lapla~~CallsGraph_edge11" class="edge">
<title>proc~interpolate&#45;&gt;harmonicinterpolation</title>
<path fill="none" stroke="#000000" d="M315.5132,-100.8794C329.0482,-103.9978 344.5741,-109.0154 357,-117 377.6834,-130.2907 372.2582,-145.8007 393,-159 395.7548,-160.753 398.6566,-162.3619 401.6537,-163.8384"/>
<polygon fill="#000000" stroke="#000000" points="400.3151,-167.073 410.879,-167.8817 403.1251,-160.6618 400.3151,-167.073"/>
</g>
<!-- gradientbasedinterpolation -->
<g id="interface~~lapla~~CallsGraph_node9" class="node">
<title>gradientbasedinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="538,-150 399,-150 399,-126 538,-126 538,-150"/>
<text text-anchor="middle" x="468.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">gradientbasedinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;gradientbasedinterpolation -->
<g id="interface~~lapla~~CallsGraph_edge12" class="edge">
<title>proc~interpolate&#45;&gt;gradientbasedinterpolation</title>
<path fill="none" stroke="#000000" d="M315.7167,-103.2201C340.3392,-108.8252 375.2628,-116.7753 405.5066,-123.66"/>
<polygon fill="#000000" stroke="#000000" points="405.0347,-127.1421 415.5621,-125.9491 406.5885,-120.3167 405.0347,-127.1421"/>
</g>
<!-- tvdinterpolation -->
<g id="interface~~lapla~~CallsGraph_node10" class="node">
<title>tvdinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="511,-108 426,-108 426,-84 511,-84 511,-108"/>
<text text-anchor="middle" x="468.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tvdinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;tvdinterpolation -->
<g id="interface~~lapla~~CallsGraph_edge13" class="edge">
<title>proc~interpolate&#45;&gt;tvdinterpolation</title>
<path fill="none" stroke="#000000" d="M315.7167,-96C343.1423,-96 383.348,-96 415.6318,-96"/>
<polygon fill="#000000" stroke="#000000" points="415.809,-99.5001 425.8089,-96 415.8089,-92.5001 415.809,-99.5001"/>
</g>
<!-- interpolateelementtofacestd -->
<g id="interface~~lapla~~CallsGraph_node11" class="node">
<title>interpolateelementtofacestd</title>
<polygon fill="#777777" stroke="#777777" points="541,-66 396,-66 396,-42 541,-42 541,-66"/>
<text text-anchor="middle" x="468.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolateelementtofacestd</text>
</g>
<!-- proc~interpolate&#45;&gt;interpolateelementtofacestd -->
<g id="interface~~lapla~~CallsGraph_edge14" class="edge">
<title>proc~interpolate&#45;&gt;interpolateelementtofacestd</title>
<path fill="none" stroke="#000000" d="M315.7167,-88.7799C340.3392,-83.1748 375.2628,-75.2247 405.5066,-68.34"/>
<polygon fill="#000000" stroke="#000000" points="406.5885,-71.6833 415.5621,-66.0509 405.0347,-64.8579 406.5885,-71.6833"/>
</g>
<!-- proc~printinterpolationmethodslist -->
<g id="interface~~lapla~~CallsGraph_node12" class="node">
<title>proc~printinterpolationmethodslist</title>
<g id="a_interface~~lapla~~CallsGraph_node12"><a xlink:href=".././proc/printinterpolationmethodslist.html" xlink:title="printInterpolationMethodsList">
<polygon fill="#d9534f" stroke="#d9534f" points="544,-24 393,-24 393,0 544,0 544,-24"/>
<text text-anchor="middle" x="468.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">printInterpolationMethodsList</text>
</a>
</g>
</g>
<!-- proc~interpolate&#45;&gt;proc~printinterpolationmethodslist -->
<g id="interface~~lapla~~CallsGraph_edge15" class="edge">
<title>proc~interpolate&#45;&gt;proc~printinterpolationmethodslist</title>
<path fill="none" stroke="#000000" d="M301.7836,-83.8262C322.7828,-69.9087 359.1457,-47.2209 393,-33 398.0174,-30.8924 403.3101,-28.9307 408.6696,-27.1208"/>
<polygon fill="#000000" stroke="#000000" points="409.8845,-30.407 418.3439,-24.0282 407.753,-23.7394 409.8845,-30.407"/>
</g>
<!-- flubiostop -->
<g id="interface~~lapla~~CallsGraph_node13" class="node">
<title>flubiostop</title>
<polygon fill="#777777" stroke="#777777" points="638,-24 580,-24 580,0 638,0 638,-24"/>
<text text-anchor="middle" x="609" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostop</text>
</g>
<!-- proc~printinterpolationmethodslist&#45;&gt;flubiostop -->
<g id="interface~~lapla~~CallsGraph_edge16" class="edge">
<title>proc~printinterpolationmethodslist&#45;&gt;flubiostop</title>
<path fill="none" stroke="#000000" d="M544.0965,-12C552.9482,-12 561.686,-12 569.7435,-12"/>
<polygon fill="#000000" stroke="#000000" points="569.8963,-15.5001 579.8963,-12 569.8963,-8.5001 569.8963,-15.5001"/>
</g>
</g>
</svg>
</div><script>var paninterfacelaplaCallsGraph = svgPanZoom('#interfacelaplaCallsGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
     <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: interface~~lapla~~CalledByGraph Pages: 1 -->
<svg id="interfacelaplaCalledByGraph" width="406pt" height="116pt"
 viewBox="0.00 0.00 406.00 116.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="interface~~lapla~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 112)">
<title>interface~~lapla~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-112 402,-112 402,4 -4,4"/>
<!-- interface~lapla -->
<g id="interface~~lapla~~CalledByGraph_node1" class="node">
<title>interface~lapla</title>
<polygon fill="none" stroke="#000000" points="398,-66 344,-66 344,-42 398,-42 398,-66"/>
<text text-anchor="middle" x="371" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">lapla</text>
</g>
<!-- proc~euler_fs -->
<g id="interface~~lapla~~CalledByGraph_node2" class="node">
<title>proc~euler_fs</title>
<g id="a_interface~~lapla~~CalledByGraph_node2"><a xlink:href=".././proc/euler_fs.html" xlink:title="Euler_FS">
<polygon fill="#d9534f" stroke="#d9534f" points="300,-108 243,-108 243,-84 300,-84 300,-108"/>
<text text-anchor="middle" x="271.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Euler_FS</text>
</a>
</g>
</g>
<!-- proc~euler_fs&#45;&gt;interface~lapla -->
<g id="interface~~lapla~~CalledByGraph_edge1" class="edge">
<title>proc~euler_fs&#45;&gt;interface~lapla</title>
<path fill="none" stroke="#000000" d="M300.0127,-83.9645C310.7801,-79.4195 323.1813,-74.1848 334.5757,-69.3751"/>
<polygon fill="#000000" stroke="#000000" points="336.0005,-72.5728 343.8523,-65.4593 333.2783,-66.1237 336.0005,-72.5728"/>
</g>
<!-- proc~ark3_fs -->
<g id="interface~~lapla~~CalledByGraph_node3" class="node">
<title>proc~ark3_fs</title>
<g id="a_interface~~lapla~~CalledByGraph_node3"><a xlink:href=".././proc/ark3_fs.html" xlink:title="ARK3_FS">
<polygon fill="#d9534f" stroke="#d9534f" points="301,-66 242,-66 242,-42 301,-42 301,-66"/>
<text text-anchor="middle" x="271.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">ARK3_FS</text>
</a>
</g>
</g>
<!-- proc~ark3_fs&#45;&gt;interface~lapla -->
<g id="interface~~lapla~~CalledByGraph_edge2" class="edge">
<title>proc~ark3_fs&#45;&gt;interface~lapla</title>
<path fill="none" stroke="#000000" d="M301.0839,-54C311.3289,-54 322.9474,-54 333.7298,-54"/>
<polygon fill="#000000" stroke="#000000" points="333.7393,-57.5001 343.7392,-54 333.7392,-50.5001 333.7393,-57.5001"/>
</g>
<!-- proc~rk3ssp_fs -->
<g id="interface~~lapla~~CalledByGraph_node4" class="node">
<title>proc~rk3ssp_fs</title>
<g id="a_interface~~lapla~~CalledByGraph_node4"><a xlink:href=".././proc/rk3ssp_fs.html" xlink:title="RK3SSP_FS">
<polygon fill="#d9534f" stroke="#d9534f" points="308,-24 235,-24 235,0 308,0 308,-24"/>
<text text-anchor="middle" x="271.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">RK3SSP_FS</text>
</a>
</g>
</g>
<!-- proc~rk3ssp_fs&#45;&gt;interface~lapla -->
<g id="interface~~lapla~~CalledByGraph_edge3" class="edge">
<title>proc~rk3ssp_fs&#45;&gt;interface~lapla</title>
<path fill="none" stroke="#000000" d="M300.0127,-24.0355C310.7801,-28.5805 323.1813,-33.8152 334.5757,-38.6249"/>
<polygon fill="#000000" stroke="#000000" points="333.2783,-41.8763 343.8523,-42.5407 336.0005,-35.4272 333.2783,-41.8763"/>
</g>
<!-- proc~predictionstep -->
<g id="interface~~lapla~~CalledByGraph_node5" class="node">
<title>proc~predictionstep</title>
<g id="a_interface~~lapla~~CalledByGraph_node5"><a xlink:href=".././proc/predictionstep.html" xlink:title="predictionStep">
<polygon fill="#d9534f" stroke="#d9534f" points="199,-66 119,-66 119,-42 199,-42 199,-66"/>
<text text-anchor="middle" x="159" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">predictionStep</text>
</a>
</g>
</g>
<!-- proc~predictionstep&#45;&gt;proc~euler_fs -->
<g id="interface~~lapla~~CalledByGraph_edge4" class="edge">
<title>proc~predictionstep&#45;&gt;proc~euler_fs</title>
<path fill="none" stroke="#000000" d="M191.238,-66.0355C204.2998,-70.9119 219.4883,-76.5823 233.1157,-81.6698"/>
<polygon fill="#000000" stroke="#000000" points="232.1173,-85.033 242.7099,-85.2517 234.5656,-78.4751 232.1173,-85.033"/>
</g>
<!-- proc~predictionstep&#45;&gt;proc~ark3_fs -->
<g id="interface~~lapla~~CalledByGraph_edge5" class="edge">
<title>proc~predictionstep&#45;&gt;proc~ark3_fs</title>
<path fill="none" stroke="#000000" d="M199.2973,-54C209.7948,-54 221.1005,-54 231.5784,-54"/>
<polygon fill="#000000" stroke="#000000" points="231.72,-57.5001 241.72,-54 231.7199,-50.5001 231.72,-57.5001"/>
</g>
<!-- proc~predictionstep&#45;&gt;proc~rk3ssp_fs -->
<g id="interface~~lapla~~CalledByGraph_edge6" class="edge">
<title>proc~predictionstep&#45;&gt;proc~rk3ssp_fs</title>
<path fill="none" stroke="#000000" d="M191.238,-41.9645C203.2417,-37.4831 217.0414,-32.3312 229.775,-27.5773"/>
<polygon fill="#000000" stroke="#000000" points="231.113,-30.8138 239.2573,-24.0373 228.6647,-24.2559 231.113,-30.8138"/>
</g>
<!-- program~fs_alghorithm -->
<g id="interface~~lapla~~CalledByGraph_node6" class="node">
<title>program~fs_alghorithm</title>
<g id="a_interface~~lapla~~CalledByGraph_node6"><a xlink:href=".././program/fs_alghorithm.html" xlink:title="FS_Alghorithm">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="83,-66 0,-66 0,-42 83,-42 83,-66"/>
<text text-anchor="middle" x="41.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">FS_Alghorithm</text>
</a>
</g>
</g>
<!-- program~fs_alghorithm&#45;&gt;proc~predictionstep -->
<g id="interface~~lapla~~CalledByGraph_edge7" class="edge">
<title>program~fs_alghorithm&#45;&gt;proc~predictionstep</title>
<path fill="none" stroke="#000000" d="M83.2569,-54C91.5105,-54 100.2537,-54 108.7542,-54"/>
<polygon fill="#000000" stroke="#000000" points="108.9534,-57.5001 118.9534,-54 108.9533,-50.5001 108.9534,-57.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

     <section class="visible-xs visible-sm hidden-md">
       
<h3>Contents</h3>
 




















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#modprocs-1">Module Procedures</a></h3></div>
  <div id="modprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../interface/lapla.html#moduleprocedure-laplafield">laplaField</a>
      
      <a class="list-group-item" href="../interface/lapla.html#moduleprocedure-laplacoefffield">laplaCoeffField</a>
      
      <a class="list-group-item" href="../interface/lapla.html#moduleprocedure-laplaconstfield">laplaConstField</a>
      
    </div>
  </div>
</div>




     </section>
     <br class="visible-xs visible-sm hidden-md">
     
  

  

  
   <h2>Module Procedures</h2>
   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-laplafield"></span><h3>
public function <a href='../proc/laplafield.html'>laplaField</a>(field) result(phi)
    
    
   
</h3></div>
  <div class="panel-body">
       
    







<p>laplaField returns the laplacian of a field.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  
  
  
  
     <h4>Return Value <small>real
  (numberOfElements,field%nComp)</small></h4>
  
    

  </div>
  </div>

   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-laplacoefffield"></span><h3>
public function <a href='../proc/laplacoefffield.html'>laplaCoeffField</a>(coeff, field) result(phi)
    
    
   
</h3></div>
  <div class="panel-body">
       
    







<p>lapla returns the laplacian of a field.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>coeff</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  
  
  
  
     <h4>Return Value <small>real
  (numberOfElements,field%nComp)</small></h4>
  
    

  </div>
  </div>

   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-laplaconstfield"></span><h3>
public function <a href='../proc/laplaconstfield.html'>laplaConstField</a>(coeff, field) result(phi)
    
    
   
</h3></div>
  <div class="panel-body">
       
    







<p>laplaConstField returns the laplacian of a field multipliedby a constant.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>coeff</strong></td><td><p>constant coefficients multiplied the laplacian</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  
  
  
  
     <h4>Return Value <small>real
  (numberOfElements,field%nComp)</small></h4>
  
    

  </div>
  </div>

   
     

 </div>
</div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>